# GetNewVehiclePosResult Struct Reference

Position information of a vehicle after it moved. More...

`#include <vehicle_func.h>`

## Data Fields

int | x
int | y
| x and y position of the vehicle after moving
TileIndex | old_tile
| Current tile of the vehicle.
TileIndex | new_tile
| Tile of the vehicle after moving.

## Detailed Description

Position information of a vehicle after it moved.

Definition at line 67 of file vehicle_func.h.

The documentation for this struct was generated from the following file:

- src/vehicle_func.h